package de.ivu.elect.sitzberechnung.entity;

import de.ivu.elect.sitzberechnung.konflikt.ErgebnisKonflikt;
import de.ivu.elect.sitzberechnung.konflikt.ErgebnisKonfliktArt;
import de.ivu.elect.sitzberechnung.konflikt.ErgebnisKonfliktStatus;

import java.util.Set;

public class DefaultKonflikt implements ErgebnisKonflikt {

  private final ErgebnisKonfliktArt ergebnisKonfliktArt;
  private final Set<String> konfliktierendeKandidaturen;
  private ErgebnisKonfliktStatus ergebnisKonfliktStatus = ErgebnisKonfliktStatus.UNGELOEST;

  public DefaultKonflikt(ErgebnisKonfliktArt ergebnisKonfliktArt, Set<String> konfliktierendeKandidaturen) {
    this.ergebnisKonfliktArt = ergebnisKonfliktArt;
    this.konfliktierendeKandidaturen = konfliktierendeKandidaturen;
  }

  @Override
  public long getPosition() {
    return 0;
  }

  @Override
  public ErgebnisKonfliktArt getErgebnisKonfliktArt() {
    return ergebnisKonfliktArt;
  }

  @Override
  public ErgebnisKonfliktStatus getErgebnisKonfliktStatus() {
    return null;
  }

  @Override
  public boolean isGeloest() {
    return this.ergebnisKonfliktStatus.isGeloest();
  }

  @Override
  public String toJson() {
    return null;
  }

  @Override
  public boolean isFachlichGleich(ErgebnisKonflikt other) {
    return false;
  }
}
